import request from '@/utils/httpRequest'

export default class ProgramTypeDictService {
  list (params) {
    return request({
      url: '/program/configuration/type/list',
      method: 'get',
      params: params
    })
  }
  queryById (id) {
    return request({
      url: '/program/configuration/type/queryById',
      method: 'get',
      params: {id: id}
    })
  }
  getList () {
    return request({
      url: '/program/configuration/type/getList',
      method: 'get',
      params: {}
    })
  }
  save (inputForm) {
    return request({
      url: `/program/configuration/type/save`,
      method: 'post',
      data: inputForm
    })
  }
  delete (ids) {
    return request({
      url: '/program/configuration/type/delete',
      method: 'delete',
      params: {ids: ids}
    })
  }
}
